oracle.adf.view.rich.component.rich.input

## Enum RichInputSearch.ContentMode

- java.lang.Object
- - java.lang.Enum<RichInputSearch.ContentMode>
  - - oracle.adf.view.rich.component.rich.input.RichInputSearch.ContentMode

- All Implemented Interfaces:
    Serializable, Comparable<RichInputSearch.ContentMode>
  Enclosing class:
    RichInputSearch

      public static enum RichInputSearch.ContentMode
      extends Enum<RichInputSearch.ContentMode>

  Enumeration for contentMode property

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIST` Suggestions will be displayed in a list view in the suggestions panel
    `TABLE` Suggestions will be displayed in a tabular view in the suggestions panel

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `displayName()` Retrieves the display name for the ContentMode constant
    `static RichInputSearch.ContentMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RichInputSearch.ContentMode` | `valueOfDisplayName(String displayName)` Returns the ContentMode constant associated with the specified displayName.
    `static RichInputSearch.ContentMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIST

          public static final RichInputSearch.ContentMode LIST

      Suggestions will be displayed in a list view in the suggestions panel

    - #### TABLE

          public static final RichInputSearch.ContentMode TABLE

      Suggestions will be displayed in a tabular view in the suggestions panel

  - ### Method Detail

    - #### values

          public static RichInputSearch.ContentMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RichInputSearch.ContentMode c : RichInputSearch.ContentMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RichInputSearch.ContentMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### displayName

          public String displayName()

      Retrieves the display name for the ContentMode constant
      Returns:
        display name

    - #### valueOfDisplayName

          public static RichInputSearch.ContentMode valueOfDisplayName(String displayName)

      Returns the ContentMode constant associated with the specified displayName.
      Parameters:
        `displayName` - the displayName to look up
      Returns:
        ContentMode constant associated with the specified displayName
      Throws:
        `IllegalArgumentException` - if the displayName does not correspond to a ContentMode constant.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.